RDKit::MolDraw2DSVG Class Reference

`#include <MolDraw2DSVG.h>`

Inheritance diagram for RDKit::MolDraw2DSVG:

## Public Member Functions

| MolDraw2DSVG (int width, int height, std::ostream &os)
| MolDraw2DSVG (int width, int height)
void | setFontSize (double new_size)
void | setColour (const DrawColour &col)
void | finishDrawing ()
void | drawLine (const Point2D &cds1, const Point2D &cds2)
void | drawString (const std::string &str, const Point2D &cds)
void | drawPolygon (const std::vector< Point2D > &cds)
void | drawEllipse (const Point2D &cds1, const Point2D &cds2)
void | clearDrawing ()
void | getStringSize (const std::string &label, double &label_width, double &label_height) const
std::string | getDrawingText () const
void | tagAtoms (const ROMol &mol)
Public Member Functions inherited from RDKit::MolDraw2D
| MolDraw2D (int width, int height)
virtual | ~MolDraw2D ()
virtual void | drawMolecule (const ROMol &mol, const std::vector< int > *highlight_atoms=NULL, const std::map< int, DrawColour > *highlight_map=NULL, const std::map< int, double > *highlight_radii=NULL, int confId=-1)
virtual void | drawMolecule (const ROMol &mol, const std::vector< int > *highlight_atoms, const std::vector< int > *highlight_bonds, const std::map< int, DrawColour > *highlight_atom_map=NULL, const std::map< int, DrawColour > *highlight_bond_map=NULL, const std::map< int, double > *highlight_radii=NULL, int confId=-1)
virtual Point2D | getDrawCoords (const Point2D &mol_cds) const
virtual Point2D | getDrawCoords (int at_num) const
virtual Point2D | getAtomCoords (const std::pair< int, int > &screen_cds) const
virtual Point2D | getAtomCoords (int at_num) const
virtual int | width () const
virtual int | height () const
virtual double | scale () const
virtual void | calculateScale ()
virtual double | fontSize () const
virtual DrawColour | colour () const
virtual void | setDash (const DashPattern &patt)
virtual const DashPattern & | dash () const
virtual void | setLineWidth (int width)
virtual const int | lineWidth () const
bool | setStringDrawMode (const std::string &instring, int &draw_mode, int &i) const
virtual void | drawTriangle (const Point2D &cds1, const Point2D &cds2, const Point2D &cds3)
virtual void | drawRect (const Point2D &cds1, const Point2D &cds2)
virtual void | drawAttachmentLine (const Point2D &cds1, const Point2D &cds2, const DrawColour &col, double len=1.0, unsigned int nSegments=8)
virtual bool | fillPolys () const
virtual void | setFillPolys (bool val)
MolDrawOptions & | drawOptions ()
const MolDrawOptions & | drawOptions () const
const std::vector< Point2D > & | atomCoords () const
const std::vector< std::pair< std::string, OrientType > > & | atomSyms () const

## Additional Inherited Members

Public Types inherited from RDKit::MolDraw2D
enum | OrientType { C = 0, N, E, S, W }

## Detailed Description

Definition at line 26 of file MolDraw2DSVG.h.

## Constructor & Destructor Documentation

RDKit::MolDraw2DSVG::MolDraw2DSVG | ( | int | width,
|  | int | height,
|  | std::ostream & | os
| ) |  |

inline

Definition at line 30 of file MolDraw2DSVG.h.

RDKit::MolDraw2DSVG::MolDraw2DSVG | ( | int | width,
|  | int | height
| ) |  |

inline

Definition at line 33 of file MolDraw2DSVG.h.

## Member Function Documentation

void RDKit::MolDraw2DSVG::clearDrawing | ( |  | ) |

virtual

Implements RDKit::MolDraw2D.

void RDKit::MolDraw2DSVG::drawEllipse | ( | const Point2D & | cds1,
|  | const Point2D & | cds2
| ) |  |

virtual

Reimplemented from RDKit::MolDraw2D.

void RDKit::MolDraw2DSVG::drawLine | ( | const Point2D & | cds1,
|  | const Point2D & | cds2
| ) |  |

virtual

Implements RDKit::MolDraw2D.

void RDKit::MolDraw2DSVG::drawPolygon | ( | const std::vector< Point2D > & | cds | ) |

virtual

Implements RDKit::MolDraw2D.

void RDKit::MolDraw2DSVG::drawString | ( | const std::string & | str,
|  | const Point2D & | cds
| ) |  |

virtual

Reimplemented from RDKit::MolDraw2D.

void RDKit::MolDraw2DSVG::finishDrawing | ( |  | ) |

std::string RDKit::MolDraw2DSVG::getDrawingText | ( |  | ) | const

inline

Definition at line 59 of file MolDraw2DSVG.h.

void RDKit::MolDraw2DSVG::getStringSize | ( | const std::string & | label,
|  | double & | label_width,
|  | double & | label_height
| ) |  | const

virtual

Implements RDKit::MolDraw2D.

void RDKit::MolDraw2DSVG::setColour | ( | const DrawColour & | col | ) |

virtual

Reimplemented from RDKit::MolDraw2D.

void RDKit::MolDraw2DSVG::setFontSize | ( | double | new_size | ) |

virtual

Reimplemented from RDKit::MolDraw2D.

void RDKit::MolDraw2DSVG::tagAtoms | ( | const ROMol & | mol | ) |

virtual

Reimplemented from RDKit::MolDraw2D.

The documentation for this class was generated from the following file:

- MolDraw2DSVG.h